libnotify: Bindings to libnotify library

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain] [Publish]

Warnings:

The package provides a high level interface to libnotify API (see Libnotify)

Libnotify.C.Notify and Libnotify.C.NotifyNotification modules contain bindings to C-level functions if you're into that


[Skip to Readme]

Properties

Versions 0.0.1.1, 0.0.1.2, 0.0.2.0, 0.0.2.1, 0.1.0.0, 0.1.1.0, 0.1.1.0, 0.2, 0.2.1
Change log CHANGELOG.md
Dependencies base (>=4.5 && <5), bytestring (>=0.9), glib (>=0.12.3), gtk (>=0.12.3) [details]
License MIT
Author Emon Tsukimiya, Matvey Aksenov
Maintainer Matvey Aksenov <matvey.aksenov@gmail.com>
Category System, Desktop
Source repo head: git clone https://github.com/supki/libnotify
this: git clone https://github.com/supki/libnotify(tag 0.1.1.0)
Uploaded by MatveyAksenov at 2014-05-25T18:37:24Z

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees


Readme for libnotify-0.1.1.0

[back to package description]

libnotify

Hackage Build Status

Bindings to libnotify library

Note that although the bindings are distributed under MIT license everything else is GPLed. And by everything I mean everything: glib, libnotify, haskell bindings to glib, and so forth. That effectively means that by using libnotify bindings you agree your project is GPLed too. Sorry about that!